# pqxx::nontransaction Class Reference

`#include <nontransaction.hxx>`

Inheritance diagram for pqxx::nontransaction:

[legend]
List of all members.

## Public Member Functions

| nontransaction (connection_base &C, const PGSTD::string &Name=PGSTD::string())
| Constructor.
virtual | ~nontransaction ()

## Constructor & Destructor Documentation

pqxx::nontransaction::nontransaction | ( | connection_base & | C,
|  | const PGSTD::string & | Name = `PGSTD::string()` |
| ) |  |  | `[explicit]`

Constructor.

Create a "dummy" transaction.

Parameters:

  | C | Connection that this "transaction" will operate on.
  | Name | Optional name for the transaction, beginning with a letter and containing only letters and digits.

pqxx::nontransaction::~nontransaction | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- nontransaction.hxx
- nontransaction.cxx